#include "AFP.h"

class AFPMaster {
	public:
    char reply[AFP_BUFFER_MAX];
		AFPMaster(unsigned long baud, int txPin);
    void begin();
    void sendSync();
		int sendRequest(char id, const char* msg);
    void sendBroadcast(const char* msg);
    void setBaud(unsigned long baud);
	private:
		HardwareSerial* _serial;
    unsigned long _baud;
    void disableWrite();
    void enableWrite();
    int _txPin;
    bool _ready;
};
